variable "lambda_function_name" {
  type = string
  default = "s3_to_dynamodb"
}

variable "filename" {
  type = string
  default = "lambda_function.zip"
}

variable "lambda_function_role" {
  type = string
  default = ""
}

variable "lambda_function_handler" {
  type = string
  default = "index.handler"
}

variable "lambda_function_runtime" {
  type = string
  default = "nodejs14.x"
}

variable "lambda_function_timeout" {
  type = number
  default = 60
}

variable "lambda_function_memory_size" {
  type = number
  default = 128
}

variable "lambda_function_environment_variables" {
  type = map
  default = {}
}

variable "lambda_function_subnet_ids" {
  type = list
  default = []
}

variable "lambda_function_security_group_ids" {
  type = list
  default = []
}

variable "tags" {
  type = map
  default = {}
}

variable "project" {
  type = string
  default = "s3_to_dynamodb"
}

variable "s3_bucket_prefix" {
  type = string
  default = "files/"
}

variable "environment" {
  type = string
  default = "dev"
}

variable "s3_bucket" {
  type = string
  default = "s3-to-dynamodb"
}

variable "s3_arn" {
  type = string
  default = ""
}